Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qjml2java
Class ElList

    java.lang.Object
      |
      +--com.jxml.quick.util.qjml2java.ElList

public class ElList
extends Object

This class represents a list of children. The children can be other lists, or Child objects. The child objects are links to element or attribute definitions. If all the children have a common class or parent class, it is a "typed list".

Field Summary
`String` | `childName`
`ArrayList` | `children`
`String` | `childTargetClass`
`String` | `fieldName`
`boolean` | `hasAClass`
`boolean` | `newClass`
`boolean` | `optional`
`boolean` | `property`
`String` | `targetClass`
`boolean` | `typedList`

Constructor Summary
`ElList()`

Method Summary
`void` | `getAllClasses(ArrayList allElements, ArrayList discarded)`
`void` | `getChildInfo(ArrayList elChildren)`
`void` | `getXChildInfo(ArrayList xchildren)`
`void` | `init()`
`void` | `makeFields(ArrayList fields, boolean attributes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fieldName

    public String fieldName

### targetClass

    public String targetClass

### property

    public boolean property

### children

    public ArrayList children

### typedList

    public boolean typedList

### childTargetClass

    public String childTargetClass

### newClass

    public boolean newClass

### hasAClass

    public boolean hasAClass

### childName

    public String childName

### optional

    public boolean optional

Constructor Detail

### ElList

    public ElList()

Method Detail

### init

    public void init()

### getAllClasses

    public void getAllClasses(ArrayList allElements,
                              ArrayList discarded)

### getChildInfo

    public void getChildInfo(ArrayList elChildren)

### getXChildInfo

    public void getXChildInfo(ArrayList xchildren)

### makeFields

    public void makeFields(ArrayList fields,
                           boolean attributes)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD